<?php 
/*
* PuzzleApp
* Webemyos
* Jérôme Oliva
* GNU Licence
*/

namespace Apps\Crm\Entity;
use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class CrmBusiness extends Entity  
{
	//Constructeur
	function __construct($core)
	{
		//Version
		$this->Version ="2.0.0.0"; 

		//Nom de la table 
		$this->Core=$core; 
		$this->TableName="CrmBusiness"; 
		$this->Alias = "CrmBusiness"; 

		$this->Name = new Property("Name", "Name", TEXTBOX,  false, $this->Alias); 
		$this->Code = new Property("Code", "Code", TEXTBOX,  false, $this->Alias); 
		$this->Description = new Property("Description", "Description", TEXTAREA,  false, $this->Alias); 
		$this->TypeId = new Property("TypeId", "TypeId", NUMERICBOX,  false, $this->Alias); 
		$this->StatutId = new Property("StatutId", "StatutId", NUMERICBOX,  false, $this->Alias); 
		$this->ProspectId = new Property("ProspectId", "ProspectId", NUMERICBOX,  false, $this->Alias); 

		//Creation de l entité 
		$this->Create(); 
	}
}
?>